package hh.dejsem.net;

import java.net.InetSocketAddress;
import java.nio.ByteBuffer;

public interface NetIO {
	void bind(String host, int port) throws Exception;
	boolean isBound();
	void accept() throws Exception;
	void connect(InetSocketAddress hostIp) throws Exception;
	boolean get(ByteBuffer buf) throws Exception;
	int put(ByteBuffer buf) throws Exception;
	void closeSc() throws Exception;
	void closeSsc() throws Exception;
}
